net.minecraft.client.resources.data

## Class AnimationMetadataSectionSerializer

- java.lang.Object
- - net.minecraft.client.resources.data.BaseMetadataSectionSerializer
  - - net.minecraft.client.resources.data.AnimationMetadataSectionSerializer

- All Implemented Interfaces:
    com.google.gson.JsonDeserializer, com.google.gson.JsonSerializer, IMetadataSectionSerializer

      public class AnimationMetadataSectionSerializer
      extends BaseMetadataSectionSerializer
      implements com.google.gson.JsonSerializer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnimationMetadataSectionSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnimationMetadataSection` | `deserialize(com.google.gson.JsonElement par1JsonElement, java.lang.reflect.Type par2Type, com.google.gson.JsonDeserializationContext par3JsonDeserializationContext)`
    `java.lang.String` | `getSectionName()`
    `com.google.gson.JsonElement` | `serialize(AnimationMetadataSection par1AnimationMetadataSection, java.lang.reflect.Type par2Type, com.google.gson.JsonSerializationContext par3JsonSerializationContext)`
    `com.google.gson.JsonElement` | `serialize(java.lang.Object par1Obj, java.lang.reflect.Type par2Type, com.google.gson.JsonSerializationContext par3JsonSerializationContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnimationMetadataSectionSerializer

          public AnimationMetadataSectionSerializer()

  - ### Method Detail

    - #### deserialize

          public AnimationMetadataSection deserialize(com.google.gson.JsonElement par1JsonElement,
                                             java.lang.reflect.Type par2Type,
                                             com.google.gson.JsonDeserializationContext par3JsonDeserializationContext)

      Specified by:
        `deserialize` in interface `com.google.gson.JsonDeserializer`

    - #### serialize

          public com.google.gson.JsonElement serialize(AnimationMetadataSection par1AnimationMetadataSection,
                                              java.lang.reflect.Type par2Type,
                                              com.google.gson.JsonSerializationContext par3JsonSerializationContext)

    - #### getSectionName

          public java.lang.String getSectionName()

      Specified by:
        `getSectionName` in interface `IMetadataSectionSerializer`

    - #### serialize

          public com.google.gson.JsonElement serialize(java.lang.Object par1Obj,
                                              java.lang.reflect.Type par2Type,
                                              com.google.gson.JsonSerializationContext par3JsonSerializationContext)

      Specified by:
        `serialize` in interface `com.google.gson.JsonSerializer`